#!/usr/bin/env node
var minimist = require('minimist');
var extend = require('xtend');
var typings_1 = require('../typings');
var cli_1 = require('../utils/cli');
var args = minimist(process.argv.slice(2), {
    boolean: ['save', 'saveAmbient', 'saveDev', 'ambient', 'verbose'],
    string: ['name'],
    alias: {
        save: ['S'],
        saveAmbient: ['A', 'save-ambient'],
        saveDev: ['save-dev', 'D'],
        name: ['n'],
        ambient: ['a'],
        verbose: ['v']
    }
});
var options = extend(args, { cwd: process.cwd() });
if (!args._.length) {
    cli_1.wrapExecution(typings_1.install(options), options);
}
else {
    cli_1.wrapExecution(typings_1.installDependency(args._[0], options), options);
}
//# sourceMappingURL=typings-install.js.map