var extend = require('xtend');
var fs_1 = require('./utils/fs');
var find_1 = require('./utils/find');
function uninstallDependency(name, options) {
    var ambient = options.saveAmbient || options.ambient;
    return find_1.findProject(options.cwd)
        .then(function (cwd) { return fs_1.removeDependency(extend(options, { cwd: cwd, name: name, ambient: ambient })).then(function () { return writeToConfig(name, options); }); }, function () { return fs_1.removeDependency(extend(options, { name: name, ambient: ambient })); });
}
exports.uninstallDependency = uninstallDependency;
function writeToConfig(name, options) {
    if (!options.save && !options.saveDev && !options.saveAmbient) {
        return;
    }
    return fs_1.transformConfig(options.cwd, function (config) {
        if (options.save && config.dependencies) {
            delete config.dependencies[name];
        }
        if (options.saveDev && config.devDependencies) {
            delete config.devDependencies[name];
        }
        if (options.saveAmbient && config.ambientDependencies) {
            delete config.ambientDependencies;
        }
        return config;
    });
}
//# sourceMappingURL=uninstall.js.map